# Katabatic - Routing Toolbox

List of all members | Public Member Functions
BaseObserver Class Reference

Observer Design Pattern, Observer part. More...

Inheritance diagram for BaseObserver:
[legend]

## Public Member Functions
virtual void | notify (unsigned int flags)

## Detailed Description

Observer Design Pattern, Observer part.

This class is used as a non-template base class for the templatized Observer one. It is used to avoid propagating template to the whole Observable class. It only contains the Observer::notify() virtual method.

## Member Function Documentation

## ◆ notify()

void notify | ( | unsigned int | flags | ) |
| virtual

The method which will be called whenever a change occurs on the Observable.

Referenced by Observable::notify().

The documentation for this class was generated from the following files:

- Observer.h
- Observer.cpp
- Observer.dox

Generated by doxygen 1.8.14 on Mon Feb 3 2020 | Return to top of page

Katabatic - Routing Toolbox | Copyright © 2008-2016 UPMC. All rights reserved